import axios from '@/libs/api.request'

// 获取采购合同分页列表
export const GetPurContractPageList = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/GetPurContractPageList',
    data,
    method: 'post'
  })
}
// 获取物料二维码标签列表
export const GetSupplierQRCode = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/GetSupplierQRCode',
    data,
    method: 'post'
  })
}
// 添加供应商二维码
export const AddSupplierQRCode = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/AddSupplierQRCode',
    data,
    method: 'post'
  })
}
// 供应商出货
export const AddSupplierShipOut = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/AddSupplierShipOut',
    data,
    method: 'post'
  })
}
// 删除供应商二维码标签
export const DeleteSupplierQRCode = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/DeleteSupplierQRCode',
    data,
    method: 'post'
  })
}
// 打印供应商二维码标签
export const PrinterSupplierQRCode = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/PrinterSupplierQRCode',
    data,
    method: 'post'
  })
}

// 临时测试打印列表
export const GetSupplierQRCodeTest = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/GetSupplierQRCodeTest',
    data,
    method: 'post'
  })
}

// 临时测试打印列表
export const CompletePurchase = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/CompletePurchase',
    data,
    method: 'post'
  })
}

// 获取出货批次
export const GetPurBatchShip = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/GetPurBatchShip',
    data,
    method: 'post'
  })
}

// 新增出货批次
export const AddPurBatchShip = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/AddPurBatchShip',
    data,
    method: 'post'
  })
}

// 删除出货批次
export const DeletePurBatchShip = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/DeletePurBatchShip',
    data,
    method: 'post'
  })
}

// 获取在途金额
export const GetPurchaseOnWay = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/GetPurchaseOnWay',
    data,
    method: 'post'
  })
}

// 获取供应商出货审批数据
export const GetSupplierShipFlow = (data = {}) => {
  return axios.request({
    url: '/api/SupplierShip/GetSupplierShipFlow',
    data,
    method: 'post'
  })
}
